<p align="center">
<img src="data/icons/sc-fooyin.svg" width="20%" alt="fooyin logo">
</p>

<p align="center" style="font-size: 18px;">
<strong>fooyin - A customisable music player</strong>
<br />
<a href="https://github.com/ludouzi/fooyin/actions/workflows/build.yml"><img src="https://github.com/ludouzi/fooyin/actions/workflows/build.yml/badge.svg" alt="Build status"></a>
<a href="https://app.codacy.com/gh/ludouzi/fooyin/dashboard?utm_source=gh&utm_medium=referral&utm_content=&utm_campaign=Badge_grade"><img src="https://app.codacy.com/project/badge/Grade/ae0c3e9825d849b0b64697e59e4dfea6" alt="Code quality"></a>
</p>

## What is fooyin?

fooyin is a music player built around customisation. It offers a growing list of widgets to manage and play your local music
collection. It's extendable through the use of plugins and many widgets make use of *FooScript* to offer an even deeper level of control.

Audio playback is supported by FFmpeg alongside multiple options for output including ALSA and PipeWire, with more to come.

A *layout editing mode* enables the entire user interface to be customised,
starting from a blank slate or a preset layout.

| ![Simple](https://github.com/ludouzi/fooyin/assets/45490980/e01fd4ee-14cf-4b0f-aa3d-76e86b09844a)   | ![Browser](https://github.com/ludouzi/fooyin/assets/45490980/d0e9c686-09c8-46ba-b7b7-f43282059c8d) |
|-----------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------|
| ![Obsidian](https://github.com/ludouzi/fooyin/assets/45490980/38912757-4e41-46ee-bf62-b88f36af4903) | ![Wave](https://github.com/ludouzi/fooyin/assets/45490980/eba25598-4726-41fb-b271-075f23575bf6)    |

Only Linux is supported at present, though other platforms will be added at a later date.

## Features

* [x] Customisable layout
* [x] Gapless playback
* [x] Filter library on any field(s)
* [x] Create and manage playlists
* [x] Extend through plugins
* [x] Tag editor
* [x] Directory browser
* [x] Waveform seekbar
* [x] MPRIS support

### Roadmap

See [ROADMAP.md](ROADMAP.md) to learn about fooyin's planned features.

## Building from source

See [BUILD.md](BUILD.md) for details.

## Translations

You can contribute to translations on [Hosted Weblate](https://hosted.weblate.org/projects/fooyin/),
an open source and web-based translation platform.
